/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.dto.atuscriptrecord.AtuScriptInputSetAddTmpDto;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* Restful接口--新增资源--数据传输对象：脚本信息表
*
* createdate:  2022-10-18 17:29:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本信息表")
public class AtuScriptInfoAddDto implements Serializable
{
    /**
     * 脚本ID<br>
     */
    @ApiModelProperty("脚本ID")
    @Size(max = 32, message="脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 脚本目录ID<br>
     */
    @ApiModelProperty("脚本目录ID")
    @Size(max = 32, message="脚本目录ID-groupId: 数据长度不能 > 32" )
    private String groupId;
    /**
     * 脚本名称<br>
     */
    @ApiModelProperty("脚本名称")
    @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
    private String scriptName;
    /**
     * 脚本类型<br>
     */
    @ApiModelProperty("脚本类型")
    @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
    private String scriptType;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 应用ID<br>
     */
    @ApiModelProperty("应用ID")
    private String appId;
    /**
     * 应用包名<br>
     */
    @ApiModelProperty("应用包名")
    private String packageName;
    /**
     * 应用平台<br>
     */
    @ApiModelProperty("应用平台")
    private String platform;
    /**
     * 脚本快照数据地址<br>
     */

    @ApiModelProperty("脚本json字符串")
    private String scriptJsonStr;

    @ApiModelProperty("数据信息 按行存储")
    private List<AtuScriptInputSetAddTmpDto> atuScriptInputSetAddTmpDtos;

    public List<AtuScriptInputSetAddTmpDto> getAtuScriptInputSetAddTmpDtos() {
        return atuScriptInputSetAddTmpDtos;
    }

    public void setAtuScriptInputSetAddTmpDtos(List<AtuScriptInputSetAddTmpDto> atuScriptInputSetAddTmpDtos) {
        this.atuScriptInputSetAddTmpDtos = atuScriptInputSetAddTmpDtos;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getScriptJsonStr() {
        return scriptJsonStr;
    }

    public void setScriptJsonStr(String scriptJsonStr) {
        this.scriptJsonStr = scriptJsonStr;
    }
}